--- title: "getAutoScalingActivityLogList" slug: "compute-vautoscaling-autoscalinggroup-getautoscalingactivityloglist" updated: 2026-09-17T10:05:57Z published: 2026-09-17T10:05:57Z canonical: "api.ncloud-docs.com/compute-vautoscaling-autoscalinggroup-getautoscalingactivityloglist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getAutoScalingActivityLogList Available in VPC Get the list of scaling action logs for Auto Scaling Group. Logs for schedules that ran in the last six weeks can be viewed and are returned sorted in descending order by execution start time. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vautoscaling/v2/getAutoScalingActivityLogList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Auto Scaling APIs, see [Auto Scaling request headers](/docs/en/compute-vautoscaling#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `autoScalingGroupNo` | String | Required | Auto Scaling Group number - See [getAutoScalingGroupList](/docs/en/compute-vautoscaling-autoscalinggroup-getautoscalinggrouplist). | | `activityNoList.N` | Array | Optional | Log number list - Filter by the log number. - Example: `activityNoList.1=1234&activityNoList.2=2345` | | `pageNo` | Integer | Optional | Page number - 1-N | | `pageSize` | Integer | Conditional | Number of items per page - 1-N - Required when entering `pageNo` | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vautoscaling/v2/getAutoScalingActivityLogList ?regionCode=KR &autoScalingGroupNo=1***9 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getAutoScalingActivityLogListResponse` | Object | - | Response result - See [ActivityLogList](/docs/en/common-vapidatatype-activityloglist). | | `getAutoScalingActivityLogListResponse.requestId` | String | - | ID for the request - UUID format | | `getAutoScalingActivityLogListResponse.returnCode` | String | - | Response code | | `getAutoScalingActivityLogListResponse.returnMessage` | String | - | Response message | ### Response status codes For response status codes common to all Auto Scaling APIs, see [Auto Scaling response status codes](/docs/en/compute-vautoscaling#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getAutoScalingActivityLogListResponse": { "totalRows": 2, "activityLogList": [ { "autoScalingGroupNo": "1***9", "activityNo": "3202612", "serverInstanceNo": "10****092", "zoneCode": "KR-2", "actionName": "Terminate", "actionStatus": { "code": "SUCCS", "codeName": "SUCCESSFUL" }, "actionCause": "At 2025-05-30T15:58:22+0900 an instance was taken out of service in response to a difference between desired and actual capacity, shrinking the capacity to 0. ", "actionDescription": "Launching a new server instance: #10****092", "startTime": "2025-05-30T15:58:22+0900", "endTime": "2025-05-30T15:59:24+0900" }, { "autoScalingGroupNo": "1***9", "activityNo": "3155596", "serverInstanceNo": "10****092", "zoneCode": "KR-2", "actionName": "Launch", "actionStatus": { "code": "SUCCS", "codeName": "SUCCESSFUL" }, "actionCause": "At 2025-05-15T09:51:02+0900 an instance was started in response to a difference between desired and actual capacity, increasing the capacity to 1.", "actionDescription": "Launching a new server instance: #10****092", "startTime": "2025-05-15T09:51:03+0900", "endTime": "2025-05-15T09:56:09+0900" } ], "requestId": "605902b8-****-****-****-a47d46441f59", "returnCode": "0", "returnMessage": "success" } } ```